# This file created by conda-build 25.5.0
# meta.yaml template originally from:
# /work/buildout/aggregate/annotated-doc-feedstock/recipe, last modified Wed Nov 19 10:35:14 2025
# ------------------------------------------------

package:
  name: annotated-doc
  version: 0.0.4
source:
  url: https://pypi.org/packages/source/a/annotated-doc/annotated_doc-0.0.4.tar.gz
  sha256: fbcda96e87e9c92ad167c2e53839e57503ecfda18804ea28102353485033faa4
build:
  number: '0'
  script: /work/buildout/croot/annotated-doc_1763636252792/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.11.4 h06a4308_0
    - expat 2.7.3 h3385a95_0
    - ld_impl_linux-64 2.44 h153f514_2
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.0.18 hd6dcaed_0
    - pdm-backend 2.4.3 py314hfdf79b4_0
    - pip 25.3 pyh0d26453_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.0 h3fc5862_101_cp314
    - python_abi 3.14 1_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.0 h2a70700_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2025b h04d1e81_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.6.4 h5eee18b_1
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - tests
  imports:
    - annotated_doc
  requires:
    - pip
    - pytest >=8.3.5
  commands:
    - pip check
    - pytest -v tests
about:
  home: https://github.com/fastapi/annotated-doc
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Document parameters, class attributes, return types, and variables inline,
    with Annotated.
  description: Document parameters, class attributes, return types, and variables
    inline, with Annotated.
  doc_url: https://github.com/fastapi/annotated-doc
  dev_url: https://github.com/fastapi/annotated-doc
extra:
  recipe-maintainers:
    - bollwyvl
  final: true
  copy_test_source_files: true
  tool: perseverence-python-buildout
